Package org.thymeleaf.extras.springsecurity5.dialect.expression

## Class SpringSecurityExpressionObjectFactory

- Object
- - org.thymeleaf.extras.springsecurity5.dialect.expression.SpringSecurityExpressionObjectFactory

- All Implemented Interfaces:
    `org.thymeleaf.expression.IExpressionObjectFactory`

      public class SpringSecurityExpressionObjectFactory
      extends Object
      implements org.thymeleaf.expression.IExpressionObjectFactory

  Builds the expression objects to be used by the Spring Security dialect.

  Since:
    3.0.0
  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static Set<String>` | `ALL_EXPRESSION_OBJECT_NAMES` |
    `static String` | `AUTHENTICATION_EXPRESSION_OBJECT_NAME` |
    `static String` | `AUTHORIZATION_EXPRESSION_OBJECT_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpringSecurityExpressionObjectFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `buildObject​(org.thymeleaf.context.IExpressionContext context, String expressionObjectName)` |
    `Set<String>` | `getAllExpressionObjectNames()` |
    `boolean` | `isCacheable​(String expressionObjectName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTHENTICATION_EXPRESSION_OBJECT_NAME

          public static final String AUTHENTICATION_EXPRESSION_OBJECT_NAME

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_EXPRESSION_OBJECT_NAME

          public static final String AUTHORIZATION_EXPRESSION_OBJECT_NAME

      See Also:
        Constant Field Values

    - #### ALL_EXPRESSION_OBJECT_NAMES

          protected static final Set<String> ALL_EXPRESSION_OBJECT_NAMES

  - ### Constructor Detail

    - #### SpringSecurityExpressionObjectFactory

          public SpringSecurityExpressionObjectFactory()

  - ### Method Detail

    - #### getAllExpressionObjectNames

          public Set<String> getAllExpressionObjectNames()

      Specified by:
        `getAllExpressionObjectNames` in interface `org.thymeleaf.expression.IExpressionObjectFactory`

    - #### isCacheable

          public boolean isCacheable​(String expressionObjectName)

      Specified by:
        `isCacheable` in interface `org.thymeleaf.expression.IExpressionObjectFactory`

    - #### buildObject

          public Object buildObject​(org.thymeleaf.context.IExpressionContext context,
                                    String expressionObjectName)

      Specified by:
        `buildObject` in interface `org.thymeleaf.expression.IExpressionObjectFactory`